Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656140 (EAPI4Removal) - [TRACKER] EAPI 4 removal
Summary: [TRACKER] EAPI 4 removal
Status: RESOLVED FIXED
Alias: EAPI4Removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Quality Assurance Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 535648 609098 632596 CVE-2017-1000501 648648 651086 651714 651716 651888 656068 656160 656162 657172 657174 659244 664780 664784 665304 665786 667366 670759 687724 688302 688590 688806 688816 688956 688960 691620 693272 693846 699672 699674 699678 699680 699686 699704 699706 700288 700418 700422 700426 700432 700434 700436 700438 700440 700442 700444 700446 700450 701046 702404 702406 702640 702698 703114 704418 704420 704422 704424 704426 704428 704430 704436 704440 704442 704446 704448 704450 704452 704454 704766 707548 707580 713730 724004 724010 724012 724016 724020 724022 724024 724026 724032 724090 724094 724134 724136 724138 724140 724142 724146 724148 724152 724158 724164 724166 724170 724172 724174 724176 724178 724180 724182 724184 724186 724188 724190 724194 724200 724202 724204 724206 724210 724212 724214 724216 724218 724220 724238 725358 727738 739454 739456 739468 739476 739478 739564 739566 739586 739588 739590 739942 739944 740906 740908 740910 740912 740914 740916 740918 740920 740922 740924 740926 740928 740930 740932 740934 740936 740938 740940 740942 740944 740946 740948 740950 740952 740954 740956 740958 740960 740964 740966 740968 740970 740972 740974 740978 740980 740982 740984 740986 740988 740990 740992 740994 740996 740998 741000 741002 741006 741008 741010 741012 741018 741020 741022 741024 741026 741028 741030 741032 741034 741036 741454 741456 741993 741996 741999 742002 742005 742008 742011 742014 742017 742020 742023 742026 742029 742032 742035 742038 742041 742044 742047 742050 742053 742056 742059 742062 742065 742068 742071 742074 742077 742080 742083 742086 742089 742092 742095 742098 742101 742104 742107 742110 742113 742116 742119 742122 742125 742128 742131 742134 742137 742140 742143 742146 742149 742152 742155 742158 742161 742164 742167 742170 742173 742176 742179 742182 742185 742188 742191 742194 742197 742200 742203 742206 742209 742212 742215 742218 742221 742224 742227 742230 742233 742236 742239 742575 743199 743379 744721 746020 746023 746029 746032
Blocks:
  Show dependency tree
 
Reported: 2018-05-20 08:47 UTC by Mikle Kolyada
Modified: 2020-11-26 13:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
20180520-eapi4-ebuilds.txt (list.txt,76.14 KB, text/plain)
2018-05-20 09:43 UTC, Johannes Huber
Details
EAPI=4 (1159) (EAPI=4-list,30.10 KB, text/plain)
2019-02-17 18:33 UTC, Mikle Kolyada
Details
EAPI=4 (318) (file_656140.txt,8.93 KB, text/plain)
2020-05-19 17:22 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-05-20 08:47:56 UTC
Sooner or later. No talk here.
Comment 1 Johannes Huber gentoo-dev 2018-05-20 09:43:03 UTC
Created attachment 532288 [details]
20180520-eapi4-ebuilds.txt
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-17 18:33:59 UTC
Created attachment 565662 [details]
EAPI=4 (1159)
Comment 3 Andreas Sturmlechner gentoo-dev 2020-05-19 17:22:43 UTC
Created attachment 640352 [details]
EAPI=4 (318)

Sooner than later.
Comment 4 Larry the Git Cow gentoo-dev 2020-11-26 13:32:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2e281bb698eb93704e1987dc4df1cf2dd3c2cff

commit b2e281bb698eb93704e1987dc4df1cf2dd3c2cff
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-11-26 13:31:18 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-11-26 13:31:18 +0000

    metadata/layout.conf: ban EAPI 4(!)
    
    Thanks to everyone for their help in eradicating
    these older ebuilds!
    
    (Including putting up with naggy bugs.)
    
    Bug: https://bugs.gentoo.org/756748
    Closes: https://bugs.gentoo.org/656140
    Signed-off-by: Sam James <sam@gentoo.org>

 metadata/layout.conf | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)